'WeatherSymbol v 3.48
'
'Updated  4/08/2003		Add Working Metric Conversions  Change Metric = False to Metric = True
'Updated  4/12/2003		Fixed bug in metric test for true also added conversion of visibility 
'Updated  4/13/2003		Temporary fix to point to page without scrolling marquee  Was breaking writefile() Function
'Updated  4/14/2003		Added ExtractTicker Function(htmlresult) to remove scrolling marquee
'Updated  4/14/2003		Fixed bug in ExtractTicker Function
'Updated  7/29/2003		Changed to use just one WeatherPng.ini file for the weather symbol
'Updated  8/12/2003		Now needs just one config file.  Also added many new functions.
'Updated  8/18/2003		Fixed stupid bug
'Updated  8/28/2003		Added 24 hour time (Set AMPM = False) and eliminated need to enter GMT(UTC) offset to get Moonrise and Moonset times			
'Updated  9/01/2003		Fixed small bug in wind function
'Updated  9/24/2003		Fixed ExtractTicker to remove html code that interfered with Symbol and Temperature functions
'Updated 10/15/2003		Fixed Weather.com shenanigans 
'Updated 10/18/2003		Added new Weather Icons using Umicon Weather pngs by Mattahan 
'Updated 10/23/2003          Fixed some script problems with site and some errors
'Updated 10/24/2003          Fixed error introduced when I fixed the last error.  Yeah it hasn't been my week.
'Updated 10/30/2003          Fixed script problem.
'Updated 11/05/2003		Fixed broken script and added code to keep script from locking up.
'Updated 11/25/2003          Add support for dynamic pngs
'Updated  1/29/2004		Fixed bug in High/Low temperatures for 9 day forecasts
'Updated  2/22/2004		Added detailed forcasts for Today and next nine days
'Updated  4/11/2004		Fixed html problems with site 
'
'
Dim Metric, AmPm, vPrecision, path, vTmp, myzip, seazip, vtideId
'
'#####################################################
'#			Modify the next eight variables for your preferences                    #
'#####################################################
'
Metric = False						'Sets variable for US (Imperial) or Metric
AmPm = True						'Set to True for 12 hour times with AM/PM or False for 24 hour times
vPrecision = 2						'Decimal Precision for Metric conversions
path = "C:\Program Files\Samurize\"		'Set to your Samurize program folder
vTmp = "Tmp\"						'Set to folder to store temp files (Should be the same as that in PopSymbol.vbs).  If you don't want
										'use a temp folder set vtmp = "" (two double quotes with no space between)
myzip = "04345"						'Set city for weather forcast -- note your can use zip if in the USA or city, country if outside USA.
									'Your city must be found on the www.weather.com site.
seazip = "04345"					'For those who can't use the Sea functions (See note below) and want to use the Moonrise, Moonset, 
									'MoonPhase and MoonSymbol functions leave this variable as is.  The reason for this is that the
									'Moon functions are tied to the Sea functions by www.weather.com.  I can calculate your local
									'Moonrise and Moonset times from mine by checking your offset from the UTC (GMT).
vtideId = "E8417227"					'(PLEASE NOTE  Tide functions can only be used for U.S. cities within 60 miles of a U.S. seacoast)	
									'If you want to use the Tide functions then you need to go to the Weather.com site and the
										' Recreation category, then the Boat & Beach Section and click on Tide.  
										
									'   Or Copy and Past the following URL into your browser and add your zip or City, State.  Press
										'return and click on Tide then enter your Tide ID into the variable to replace E8417227
										'  http://www.weather.com/outlook/recreation/boatandbeach/weather/tenday/
										
'
'#####################################################
'#                          Modify anything after this at your own risk                             #
'#####################################################
'
lf = chr (10)
crtn = chr (13)
Quote = chr(34)
vdegree = ""
Dim TideTable(2, 7), TideDay(2)
Dim wpath, MyTime,  spath, lenleft, lenright, posmid, posright, vhigh, vlow, SearchStart, SearchEnd, vstring1, vstring2, sppath, wppath
Dim WorkGMTOffset, DSTOffset, WorkDST
vstring1 = " "
vstring2 = " "
SearchStart = 0
SearchEnd = 0

Restart = False
vInstance = "Symbol"
Dim vSymbol(10)
RetrievevSymbol()

Function IsMetric()
	IsMetric = Metric
End Function

Function writefile()
 	Randomize 
	wpath =  path & vTmp & "Weather.tmp"

	GetURL = "http://www.weather.com/outlook/travel/local/" & myzip
  
	Dim Http
	Set Http = CreateObject("Microsoft.XMLhttp")
	Http.Open "GET",GetURL & "?" & rnd & " =3D " & rnd,False
	Http.Send
	HtmlResult = BinToText(Http.ResponseBody, Len(Http.ResponseBody))
	HtmlResult = ExtractTicker(HtmlResult)
	Set Http = Nothing
	set fs=CreateObject("Scripting.FileSystemObject")
	If (fs.FileExists(wpath)) Then
		Set aFile = fs.GetFile(wpath)
		aFile.Delete
	 	Set aFile = nothing
	End If

	Set f=fs.CreateTextFile(wpath,true)
	f.write(HtmlResult)
	f.close
	Set f=nothing
	Set fs=nothing
  
	writefile2()
	writefile3()
	writefile4()
	writefile5()
	writefile6()
	writefile7()
 
	MyTime = Now()
	If Minute(MyTime) < 10 Then
		writefile = Hour(MyTime) & ":0" & Minute(MyTime)
	Else
		writefile = Hour(MyTime) & ":" & Minute(MyTime)
	End If
End Function

Private Function BinToText(varBinData, intDataSizeInBytes)  

	Dim objRs 
	Const adFldLong = &H00000080 
	Const adVarChar = 200 
	Set objRS = CreateObject("ADODB.Recordset") 
	objRS.Fields.Append "txt", adVarChar, intDataSizeInBytes, adFldLong 
	objRS.Open 
	objRS.AddNew 
	objRS.Fields("txt").AppendChunk varBinData 
	BinToText = objRS("txt").Value 
	objRS.Close 
	Set objRS = Nothing 
End Function 

Private Function writefile2()

	Randomize 
	wpath =  path & vTmp & "Weather2.tmp"

	GetURL = "http://www.weather.com/weather/svrtenday/" & myzip
  
	Dim Http
	Set Http = CreateObject("Microsoft.XMLhttp")
	Http.Open "GET",GetURL & "?" & rnd & " =3D " & rnd,False
	Http.Send
	HtmlResult = BinToText(Http.ResponseBody, Len(Http.ResponseBody))

	HtmlResult = ExtractTicker(HtmlResult)

	Set Http = Nothing
	Set fs=CreateObject("Scripting.FileSystemObject")
	If (fs.FileExists(wpath)) Then
		Set aFile = fs.GetFile(wpath)
		aFile.Delete
		Set aFile = nothing
	 End If

	Set f=fs.CreateTextFile(wpath,true)
	f.write(HtmlResult)
	f.close
	Set f=nothing
	Set fs=nothing
	MyTime = Now()
	writefile2 = Hour(MyTime) & ":" & Minute(MyTime)
	
End Function

Private Function writefile3()

	Randomize 
	wpath =  path & vTmp & "Weather3.tmp"

	GetURL = "http://www.weather.com/weather/hourbyhour/" & myzip
  
	Dim Http
	Set Http = CreateObject("Microsoft.XMLhttp")
	Http.Open "GET",GetURL & "?" & rnd & " =3D " & rnd,False
	Http.Send
	HtmlResult = BinToText(Http.ResponseBody, Len(Http.ResponseBody))

	HtmlResult = ExtractTicker(HtmlResult)

	Set Http = Nothing
	set fs=CreateObject("Scripting.FileSystemObject")
	If (fs.FileExists(wpath)) Then
		Set aFile = fs.GetFile(wpath)
		aFile.Delete
		Set aFile = nothing
	End If

	Set f=fs.CreateTextFile(wpath,true)
	f.write(HtmlResult)
	f.close
	Set f=nothing
	Set fs=nothing
	MyTime = Now()
	writefile3 = Hour(MyTime) & ":" & Minute(MyTime)
	
End Function

Private Function writefile4()

	Randomize 
	wpath =  path & vTmp & "Weather4.tmp"

	GetURL = "http://www.weather.com/weather/detail/" & myzip
  
	Dim Http
	Set Http = CreateObject("Microsoft.XMLhttp")
	Http.Open "GET",GetURL & "?" & rnd & " =3D " & rnd,False
	Http.Send
	HtmlResult = BinToText(Http.ResponseBody, Len(Http.ResponseBody))

	HtmlResult = ExtractTicker(HtmlResult)

	Set Http = Nothing
 	Set fs=CreateObject("Scripting.FileSystemObject")
 	If (fs.FileExists(wpath)) Then
		Set aFile = fs.GetFile(wpath)
		aFile.Delete
		Set aFile = nothing
	End If

	Set f=fs.CreateTextFile(wpath,true)
	f.write(HtmlResult)
	f.close
	Set f=nothing
	Set fs=nothing
	MyTime = Now()
	writefile4 = Hour(MyTime) & ":" & Minute(MyTime)
	
End Function

Private Function writefile5()

	Randomize 
	wpath =  path & vTmp & "Weather5.tmp"

	GetURL = "http://www.weather.com/outlook/recreation/boatandbeach/weather/tenday/" & seazip
  
	Dim Http
	Set Http = CreateObject("Microsoft.XMLhttp")
	Http.Open "GET",GetURL & "?" & rnd & " =3D " & rnd,False
	Http.Send
	HtmlResult = BinToText(Http.ResponseBody, Len(Http.ResponseBody))

	HtmlResult = ExtractTicker(HtmlResult)

	Set Http = Nothing
	Set fs=CreateObject("Scripting.FileSystemObject")
	If (fs.FileExists(wpath)) Then
		Set aFile = fs.GetFile(wpath)
		aFile.Delete
		Set aFile = nothing
	End If

	Set f=fs.CreateTextFile(wpath,true)
	f.write(HtmlResult)
	f.close
	set f=nothing
	set fs=nothing
	MyTime = Now()
	writefile5 = Hour(MyTime) & ":" & Minute(MyTime)
	
End Function

Private Function writefile6()

	Randomize 
	wpath =  path & vTmp & "Weather6.tmp"
	GetURL = "http://www.weather.com/outlook/recreation/boatandbeach/tides/" & seazip & "?tideId=" & vtideId 
		'http://www.weather.com/outlook/recreation/boatandbeach/tides/04345?tideId=E8417227
	Dim Http
	Set Http = CreateObject("Microsoft.XMLhttp")
	Http.Open "GET",GetURL,False
	'Http.Open "GET",GetURL & rnd & " =3D " & rnd,False
	Http.Send
	HtmlResult = BinToText(Http.ResponseBody, Len(Http.ResponseBody))

	HtmlResult = ExtractTicker(HtmlResult)

	Set Http = Nothing
	Set fs=CreateObject("Scripting.FileSystemObject")
	If (fs.FileExists(wpath)) Then
		Set aFile = fs.GetFile(wpath)
		aFile.Delete
		Set aFile = nothing
	End If

	Set f=fs.CreateTextFile(wpath,true)
	f.write(HtmlResult)
	f.close
	set f=nothing
	set fs=nothing
	MyTime = Now()
	writefile6 = Hour(MyTime) & ":" & Minute(MyTime)
	
End Function

Private Function writefile7()

	Randomize 
	wpath =  path & vTmp & "Weather7.tmp"

	GetURL = "http://www.weather.com/outlook/travel/narrative/" & myzip
  
	Dim Http
	Set Http = CreateObject("Microsoft.XMLhttp")
	Http.Open "GET",GetURL & "?" & rnd & " =3D " & rnd,False
	Http.Send
	HtmlResult = BinToText(Http.ResponseBody, Len(Http.ResponseBody))

	HtmlResult = ExtractTicker(HtmlResult)

	Set Http = Nothing
	Set fs=CreateObject("Scripting.FileSystemObject")
	If (fs.FileExists(wpath)) Then
		Set aFile = fs.GetFile(wpath)
		aFile.Delete
		Set aFile = nothing
	End If

	Set f=fs.CreateTextFile(wpath,true)
	f.write(HtmlResult)
	f.close
	set f=nothing
	set fs=nothing
	MyTime = Now()
	writefile7 = Hour(MyTime) & ":" & Minute(MyTime)
	
End Function

Private Function ExtractTicker(HtmlResult)

	etstart = Quote & "svrWxAlert\" & Quote
	etend = "<!-- end svr wx alert -->" 

	searchstart = InStr(HtmlResult, etstart) - 91
	searchend = InStr(HtmlResult, etend) + Len(etend)

	If searchstart > 0 AND searchend > 0 Then
		ExtractTicker = Replace(HtmlResult,Mid(HtmlResult, searchstart, searchend - searchstart)," ")
	Else
		ExtractTicker = HtmlResult
	End If
	etstart = "<!-- <B CLASS=obsTempTextA>N/A&deg;F"
	etend = "</TR> -->"
	searchstart = InStr(ExtractTicker, etstart) 
	searchend = InStr(ExtractTicker, etend) + Len(etend)

	If searchstart > 0 AND searchend > 0 Then
		ExtractTicker = Replace(ExtractTicker,Mid(ExtractTicker, searchstart, searchend - searchstart)," ")
	End If

End Function

Function SymbolNum()
	SymbolNum = GetHTMLValue("TD CLASS=obsInfo1 VALIGN=TOP ALIGN=CENTER WIDTH=50%><IMG",".gif","")
	SymbolNum = Right(SymbolNum, 2)
	SymbolNum = Replace(SymbolNum, "/", "")
End Function

Function Symbol()
	wSymbol = GetHTMLValue("TD CLASS=obsInfo1 VALIGN=TOP ALIGN=CENTER WIDTH=50%><IMG",".gif","")
	wSymbol = Right(wSymbol, 2)
	wSymbol = Replace(wSymbol, "/", "")
	If Int(wSymbol) < 1 or Int(wSymbol) > 47 Then
		wSymbol = "na"
	End If
	a = 0
	Symbol = path & vTmp & "Symbol.png"
	If vSymbol(a) = wSymbol Then
		Exit Function
	End If
	vSymbol(a)  = wSymbol
	sSymbol = wSymbol
	wppath = path & "Icons\WeatherPngs\" & sSymbol & ".png"             'Source of new weather png
	sppath = path & vTmp & "Symbol.png"                                                 'Destination of copy
	Set FSys = CreateObject("Scripting.FileSystemObject")
	FSys.CopyFile wppath, sppath, True
	Set FSys = Nothing
	Restart = True
	RefreshConfig()
End Function

Private Function RefreshConfig()
	If not Restart Then
		Exit Function
	End If
	StorevSymbol()
	WriteRestoreRec
End Function

Private Function WriteRestoreRec()				'Set Restore switch for use by PopSymbol to RestoreSymbol.tmp
	rpath = path & vTmp & "RestoreSymbol.tmp"
	Set FSys = CreateObject("Scripting.FileSystemObject") 
	Set f = FSys.CreateTextFile(rpath, true) 
	f.writeline(Restart)
	f.close
End Function
	
Private Function StorevSymbol()					'Save vSymbol to Weather1.tmp
	spath = path & vTmp & "HoldSymbols.tmp"
	Set FSys = CreateObject("Scripting.FileSystemObject") 
	Set f = FSys.CreateTextFile(spath, true) 
	For a = 0 to 10
		f.writeline(vSymbol(a))
	Next
	f.close
End Function

Private Function RetrievevSymbol()					'Get vSymbol from file HoldSymbols.tmp
	spath = path & vTmp & "HoldSymbols.tmp"
	Set FSys = CreateObject("Scripting.FileSystemObject") 
	If Not (FSys.FileExists(spath)) Then
		StorevSymbol
	End If
	Set file = FSys.Getfile(spath)
	Set f = file.OpenAsTextStream(1)						'Opens the file
	a = 0
	Do While Not f.AtEndOfStream
		vSymbol(a) = f.readline
		a = a + 1
	Loop
	f.close									'Close HoldSymbols.tmp
End Function
'
' End of Symbol Subroutines
'
Function GetCity()
	GetCity = GetHTMLValue("Forecast for ", "</B>", "")
End Function

Function Condition()
	Condition = GetHTMLValue("obsTextA>", "</B></TD>", "")
End Function

Function FeelsLike()
	FeelsLike = GetHTMLValue("Feels Like<BR>","&deg;F", "")
	FeelsLike = ConvertTemp(FeelsLike)
 End Function

Function Temperature()
	Temperature = GetHTMLValue("obsTempTextA>","&deg;F", "")
	Temperature = ConvertTemp(Temperature)
End Function

Function UVIndex()
	UVIndex = GetHTMLValue("<TD ALIGN=LEFT VALIGN=TOP CLASS=obsInfo2>", "</TD>", "")
End Function

Function DewPoint()
	DewPoint = GetHTMLValue("Dew Point:</TD>" , "&deg;F</TD>", "") 
	DewPoint = Replace(DewPoint,"<TD ALIGN=LEFT VALIGN=TOP CLASS=obsInfo2>", "")
	DewPoint = Replace(DewPoint,crtn,"")
	DewPoint = Replace(DewPoint,lf,"")
	DewPoint = ConvertTemp(DewPoint)
End Function

Function Humidity()
	Humidity = GetHTMLValue("Humidity:</TD>" , "</TD>", "") 
	Humidity = Replace(Humidity,"<TD ALIGN=LEFT VALIGN=TOP CLASS=obsInfo2>", "")
	Humidity = Replace(Humidity,crtn,"")
	Humidity = Replace(Humidity,lf,"")
End Function

Function Visibility()
	vVisleft = ""
	vVisRight = ""
	Visibility = GetHTMLValue("Visibility:</TD>" , "</TD>", "") 
	Visibility = Replace(Visibility,"<TD ALIGN=LEFT VALIGN=TOP CLASS=obsInfo2>", "")
	Visibility = Replace(Visibility,crtn,"")
	Visibility = Replace(Visibility,lf,"")
	vVisRight = Right(Visibility,Len(Visibility) - (InStr(Visibility,"miles")-1))
	If Metric Then
	 	If vVisRight = "miles " then
		 	vVisLeft = Left(Visibility,(Len(Visibility) - (InStr(Visibility,"miles"))-2))
 			Visibility = ConvertMPH(vVisLeft)
			Visibility = vVisLeft & " Km"				
 		End If
	End If
End Function

Function Pressure()
	vPressure = ""
	vRestofString = ""
	Pressure = GetHTMLValue("Pressure:</TD>" , "</TD>", "") 
	Pressure = Replace(Pressure,"<TD ALIGN=LEFT VALIGN=TOP CLASS=obsInfo2>", "")
	Pressure = Replace(Pressure,crtn,"")
	Pressure = Replace(Pressure,lf,"")
'	vPressure = Left(Pressure, Len(Pressure) - (Len(Pressure) - InStr(Pressure, "inches"))-1)
'	vRestofString = Right(Pressure, Len(Pressure) - (InStr(Pressure, "inches")-1))
'	vPressure = ConvertPressure(vPressure)
'	If Metric Then
'	 	Pressure = vPressure & vRestofString
'	 	Pressure = Replace(Pressure,"inches"," kPA")
'	Else
'	 	Pressure = vPressure &  " " & vRestofString
'	End If 
End Function

Function Wind(LineBreak)
	vWind = ""
	vLeftofString = ""
	vRightofString = ""
	Wind = GetHTMLValue("Wind:</TD>" , "</TD>", "") 
	Wind = Replace(Wind,"<TD ALIGN=LEFT VALIGN=TOP CLASS=obsInfo2>", "")
	Wind = Replace(Wind,crtn,"")
	Wind = Replace(Wind,lf,"")
	Wind = Trim(Wind)
	Wind = Replace(Wind,"&nbsp;", " ")
	vRightofString = Right(Wind, Len(Wind) - InStr(Wind, "mph")+1)
	If vRightofString = "mph" Then
		vLeftofString = Left(Wind, InStr(Wind, "at")+2)
		vWind = Mid(Wind, InStr(Wind,"at")+3,(Len(Wind) - (Len(vLeftofString) + Len(vRightofString))))
		If InStr(Wind, "Variable") Then
			vWind = ConvertMPH(vWind)
		Else
			vwindirpos = InStr(vLeftofString, "at") - 11
			vwindir = Mid(vLeftofString, 10, vwindirpos)
			oldwindir = vwindir
			newwindir = WindDirection(Trim(vwindir))
			vLeftofString = Replace(vLeftofString, oldwindir, newwindir)
			If Len(vWind) > 4 Then
				vWind = ParseWind(vWind)
			Else
				vWind = ConvertMPH(vWind)
			End If 			
		End If
	Else
	 	vWind = Wind
	 	vRightofString = ""
	End If	 
	If Metric Then
	 	If vRightofString ="mph" Then
	 		vRightofString = "kph"
	 	End If
	End If
	Wind = Trim(vLeftofString) & " " & Trim(vWind) & " " & Trim (vRightofString)
	If Left(LineBreak, 1) = "N" or Left(LineBreak, 1) = "n" Then
		Exit Function
	End If
	vCrLf = VbCrLf
	vl1 = Len(Wind)
	vl2 = Int(vl1 / 2) 
	Wind = Left(Wind, (vl2 -1)) & Replace(Wind, " ", vCrLF, vl2 ,1)
End Function

Private Function ParseWind(vWind)
	Gustingto = ""
	IF Not InStr(vWind, "gusting to") > 0 Then
		ParseWind = vWind
		Exit Function
	End If 
	Gustingto = Mid(vWind,InStr(vWind,"gusting to"), 10)
	a = InStr(vWind, " ")
	vWindfrom = Mid(vWind, 1, a - 1)
	a = InStrRev(vWind, " ")
	a = a - 1
	b = InStrRev(vWind, " ", a)
	b = b + 1
	vWindto = Mid(vWind, b, a - (b - 1))
       	vWindfrom = ConvertMPH(vWindfrom)
       	vWindto = ConvertMPH(vWindto)
	vWind = vWindfrom & " " & Gustingto & " " & vWindto
	ParseWind = vWind
End Function

Private Function WindDirection(vwindir)
	Dim newdir
	Select Case vwindir
		Case "North"				newdir = "N"
		Case "North Northeast"		newdir = "NNE"
		Case "Northeast"			newdir = "NE"
		Case "East Northeast"			newdir = "ENE"
		Case "East"				newdir = "E"
		Case "East Southeast"			newdir = "ESE"
		Case "Southeast"			newdir = "SE"
		Case "South Southeast"		newdir = "SSE"
		Case "South"				newdir = "S"
		Case "South Southwest"		newdir = "SSW"
		Case "Southwest"			newdir = "SW"
		Case "West Southwest"		newdir = "WSW"
		Case "West"				newdir = "W"
		Case "West Northwest"		newdir = "WNW"
		Case "Northwest"			newdir = "NW"
		Case "North Northwest"		newdir = "NNW"
	 Case Else newdir = vwindir
	End Select
	WindDirection = newdir
End Function

Function PrecipChance()
	PrecipChance = GetHTMLValue2(myzip & "?dayNum=0>"," %</TD>","")
	PrecipChance = Right(PrecipChance,3)
	PrecipChance = Replace(PrecipChance, Quote,"")
	PrecipChance = Replace(PrecipChance,">","")
	PrecipChance = PrecipChance & "%"
End Function

Function LastUpdt()
	LastUpdt = GetHTMLValue("&nbsp;Last Updated ", "Time", "")
	LastUpdt = LastUpdt & "Time"
	If AmPm Then
		Exit Function
	End If
	lenleft = InStr(LastUpdt,"at ") + 2
	posright = InStr(LastUpdt, "PM") + 2
	If posright = 2 Then
		posright = InStr(LastUpdt, "AM") + 2
	End If
	rightstring = Mid(LastUpdt, posright)
	lenright = Len(rightstring) 
	posmid = lenleft + 1
	uTime = Mid(LastUpdt,posmid, (Len(LastUpdt) - lenleft - lenright))
	leftstring = Left(LastUpdt, lenleft)
	uTime = Calc24Time(uTime)
	LastUpdt = leftstring & uTime & rightstring  
End Function

Function Day1()
	Day1 = GetHTMLValue2(myzip & "?dayNum=1>","</A><BR>","")
End Function

Function Day1Condition()
	Day1Condition = GetHTMLValue2(myzip & "?dayNum=1>","</TR>","")
	StartString = "<TD"
	StopString = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	SkipGif = FindValue7(Day1Condition, StartString, StopString, SearchStart, SearchEnd)
	StartString = "<TD "
	StopString = "</TD>"
	SearchStart = SearchEnd 
	Day1Condition = FindValue7(Day1Condition, StartString, StopString, SearchStart, SearchEnd)
	Day1Condition = Replace(Day1Condition, "CLASS=f2a>", "")
	Day1Condition = Replace(Day1Condition, ">", "")
	Day1Condition = Replace(Day1Condition, " / ", "/")
End Function

Function Day1High()
	vlow = ""
	vhigh = ""
	Day1High = GetHTMLValue2(myzip & "?dayNum=1>","</B>","")
	Day1High = Right(Day1High, Len(Day1High) - (InStrRev(Day1High, "BOR")+37))
	Day1High = Right(Day1High , Len(Day1High ) - InStr(Day1High, ">"))
	Day1High = Right(Day1High , Len(Day1High ) - InStr(Day1High, ">"))
	Day1High = Right(Day1High , Len(Day1High ) - InStr(Day1High, ">"))
	Day1High = Right(Day1High , Len(Day1High ) - InStr(Day1High, ">"))
	Day1High = Right(Day1High , Len(Day1High ) - InStr(Day1High, ">"))
	Day1High = Replace(Day1High, "&deg;", "")
	vlow = Right(Day1High , Len(Day1High ) - InStr(Day1High, "/"))
	vhigh = Mid(Day1High , 1, InStr(Day1High, "/") - 1)
	vlow = ConvertTemp(vlow)
	vhigh = ConvertTemp(vhigh)
	Day1High = vhigh & "/" & vlow
End Function

Function Day1Precip()
	Day1Precip = GetHTMLValue2(myzip & "?dayNum=1>"," %</TD>","")
	Day1Precip = Right(Day1Precip,3)
	Day1Precip = Replace(Day1Precip, Quote,"")
	Day1Precip = Replace(Day1Precip,">","")
	Day1Precip = Day1Precip & "%"
End Function

Function Day1Symbol()
	wDay1Symbol = GetHTMLValue2(myzip & "?dayNum=1>",".gif", "")                   '& Quote & " WIDTH","")
	wDay1Symbol = Right(wDay1Symbol,2)
	wDay1Symbol = Replace(wDay1Symbol,"/","")
	a =1
	Day1Symbol = path & vTmp & "Day0" & CStr(a) & ".png"                                                 'Destination of copy
	If vSymbol(a) = wDay1Symbol Then
		Exit Function
	End If
	CopyDaySymbol a, wDay1Symbol
End Function

Private Function CopyDaySymbol(a, DaySymbol)
	vSymbol(a) = DaySymbol
	sSymbol = DaySymbol
	astr = CStr(a)
	wppath = path & "Icons\WeatherPngs\" & sSymbol & ".png"             'Source of new weather png
	sppath = path & vTmp & "Day0" & astr & ".png"                                                 'Destination of copy
	Set FSys = CreateObject("Scripting.FileSystemObject")
	FSys.CopyFile wppath, sppath, True
	Set FSys = Nothing
	Restart = True
	RefreshConfig()
End Function
	
Function Day2()
	Day2 = GetHTMLValue2(myzip & "?dayNum=2>","</A><BR>","")
End Function

Function Day2Condition()
	Day2Condition = GetHTMLValue2(myzip & "?dayNum=2>","</TR>","")
	StartString = "<TD"
	StopString = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	SkipGif = FindValue7(Day2Condition, StartString, StopString, SearchStart, SearchEnd)
	StartString = "<TD "
	StopString = "</TD>"
	SearchStart = SearchEnd 
	Day2Condition = FindValue7(Day2Condition, StartString, StopString, SearchStart, SearchEnd)
	Day2Condition = Replace(Day2Condition, "CLASS=f2a>", "")
	Day2Condition = Replace(Day2Condition, ">", "")
	Day2Condition = Replace(Day2Condition, " / ", "/")
End Function

Function Day2High()
	vlow = ""
	vhigh = ""
	Day2High = GetHTMLValue2(myzip & "?dayNum=2>","</B>","")
	Day2High = Right(Day2High, Len(Day2High) - (InStrRev(Day2High, "BOR")+24))
	Day2High = Right(Day2High , Len(Day2High ) - InStr(Day2High, ">"))
	Day2High = Right(Day2High , Len(Day2High ) - InStr(Day2High, ">"))
	Day2High = Right(Day2High , Len(Day2High ) - InStr(Day2High, ">"))
	Day2High = Right(Day2High , Len(Day2High ) - InStr(Day2High, ">"))
	Day2High = Right(Day2High , Len(Day2High ) - InStr(Day2High, ">"))
	Day2High = Replace(Day2High, "&deg;", "")
	vlow = Right(Day2High , Len(Day2High ) - InStr(Day2High, "/"))
	vhigh = Mid(Day2High , 1, InStr(Day2High, "/") - 1)
	vlow = ConvertTemp(vlow)
	vhigh = ConvertTemp(vhigh)
	Day2High = vhigh & "/" & vlow
End Function

Function Day2Precip()
	Day2Precip = GetHTMLValue2(myzip & "?dayNum=2>"," %</TD>","")
	Day2Precip = Right(Day2Precip,3)
	Day2Precip = Replace(Day2Precip, Quote,"")
	Day2Precip = Replace(Day2Precip,">","")
	Day2Precip = Day2Precip & "%"
End Function

Function Day2Symbol()
	wDay2Symbol = GetHTMLValue2(myzip & "?dayNum=2>",".gif", "")                   '& Quote & " WIDTH","")
	wDay2Symbol = Right(wDay2Symbol,2)
	wDay2Symbol = Replace(wDay2Symbol,"/","")
	a =2
	Day2Symbol = path & vTmp & "Day0" & CStr(a) & ".png"                                                 'Destination of copy
	If vSymbol(a) = wDay2Symbol Then
		Exit Function
	End If
	CopyDaySymbol a, wDay2Symbol
End Function
	
Function Day3()
	Day3 = GetHTMLValue2(myzip & "?dayNum=3>","</A><BR>","")
End Function

Function Day3Condition()
	Day3Condition = GetHTMLValue2(myzip & "?dayNum=3>","</TR>","")
	StartString = "<TD"
	StopString = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	SkipGif = FindValue7(Day3Condition, StartString, StopString, SearchStart, SearchEnd)
	StartString = "<TD "
	StopString = "</TD>"
	SearchStart = SearchEnd 
	Day3Condition = FindValue7(Day3Condition, StartString, StopString, SearchStart, SearchEnd)
	Day3Condition = Replace(Day3Condition, "CLASS=f2a>", "")
	Day3Condition = Replace(Day3Condition, ">", "")
	Day3Condition = Replace(Day3Condition, " / ", "/")
End Function

Function Day3High()
	vlow = ""
	vhigh = ""
	Day3High = GetHTMLValue2(myzip & "?dayNum=3>","</B>","")
	Day3High = Right(Day3High, Len(Day3High) - (InStrRev(Day3High, "BOR")+24))
	Day3High = Right(Day3High , Len(Day3High ) - InStr(Day3High, ">"))
	Day3High = Right(Day3High , Len(Day3High ) - InStr(Day3High, ">"))
	Day3High = Right(Day3High , Len(Day3High ) - InStr(Day3High, ">"))
	Day3High = Right(Day3High , Len(Day3High ) - InStr(Day3High, ">"))
	Day3High = Right(Day3High , Len(Day3High ) - InStr(Day3High, ">"))
	Day3High = Replace(Day3High, "&deg;", "")
        vlow = Right(Day3High , Len(Day3High ) - InStr(Day3High, "/"))
	vhigh = Mid(Day3High , 1, InStr(Day3High, "/") - 1)
	vlow = ConvertTemp(vlow)
	vhigh = ConvertTemp(vhigh)
	Day3High = vhigh & "/" & vlow
	
End Function

Function Day3Precip()
	Day3Precip = GetHTMLValue2(myzip & "?dayNum=3>"," %</TD>","")
	Day3Precip = Right(Day3Precip,3)
	Day3Precip = Replace(Day3Precip,Quote,"")
	Day3Precip = Replace(Day3Precip,">","")
	Day3Precip = Day3Precip & "%"
End Function

Function Day3Symbol()
	wDay3Symbol = GetHTMLValue2(myzip & "?dayNum=3>",".gif", "")                   '& Quote & " WIDTH","")
	wDay3Symbol = Right(wDay3Symbol,2)
	wDay3Symbol = Replace(wDay3Symbol,"/","")
	a =3
	Day3Symbol = path & vTmp & "Day0" & CStr(a) & ".png"                                                 'Destination of copy
	If vSymbol(a) = wDay3Symbol Then
		Exit Function
	End If
	CopyDaySymbol a, wDay3Symbol
End Function

Function Day4()
	Day4 = GetHTMLValue2(myzip & "?dayNum=4>","</A><BR>","")
End Function

Function Day4Condition()
	Day4Condition = GetHTMLValue2(myzip & "?dayNum=4>","</TR>","")
	StartString = "<TD"
	StopString = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	SkipGif = FindValue7(Day4Condition, StartString, StopString, SearchStart, SearchEnd)
	StartString = "<TD "
	StopString = "</TD>"
	SearchStart = SearchEnd 
	Day4Condition = FindValue7(Day4Condition, StartString, StopString, SearchStart, SearchEnd)
	Day4Condition = Replace(Day4Condition, "CLASS=f2a>", "")
	Day4Condition = Replace(Day4Condition, ">", "")
	Day4Condition = Replace(Day4Condition, " / ", "/")
End Function

Function Day4High()
	vlow = ""
	vhigh = ""
	Day4High = GetHTMLValue2(myzip & "?dayNum=4>","</B>","")
	Day4High = Right(Day4High, Len(Day4High) - (InStrRev(Day4High, "BOR")+24))
	Day4High = Right(Day4High , Len(Day4High ) - InStr(Day4High, ">"))
	Day4High = Right(Day4High , Len(Day4High ) - InStr(Day4High, ">"))
	Day4High = Right(Day4High , Len(Day4High ) - InStr(Day4High, ">"))
	Day4High = Right(Day4High , Len(Day4High ) - InStr(Day4High, ">"))
	Day4High = Right(Day4High , Len(Day4High ) - InStr(Day4High, ">"))
	Day4High = Replace(Day4High, "&deg;", "")
        vlow = Right(Day4High , Len(Day4High ) - InStr(Day4High, "/"))
	vhigh = Mid(Day4High , 1, InStr(Day4High, "/") - 1)
	vlow = ConvertTemp(vlow)
	vhigh = ConvertTemp(vhigh)
	Day4High = vhigh & "/" & vlow
	
End Function

Function Day4Precip()
	Day4Precip = GetHTMLValue2(myzip & "?dayNum=4>"," %</TD>","")
	Day4Precip = Right(Day4Precip,3)
	Day4Precip = Replace(Day4Precip,Quote,"")
	Day4Precip = Replace(Day4Precip,">","")
	Day4Precip = Day4Precip & "%"
End Function

Function Day4Symbol()
	wDay4Symbol = GetHTMLValue2(myzip & "?dayNum=4>",".gif", "")                   '& Quote & " WIDTH","")
	wDay4Symbol = Right(wDay4Symbol,2)
	wDay4Symbol = Replace(wDay4Symbol,"/","")
	a =4
	Day4Symbol = path & vTmp & "Day0" & CStr(a) & ".png"                                                 'Destination of copy
	If vSymbol(a) = wDay4Symbol Then
		Exit Function
	End If
	CopyDaySymbol a, wDay4Symbol
End Function

Function Day5()
	Day5 = GetHTMLValue2(myzip & "?dayNum=5>","</A><BR>","")
End Function

Function Day5Condition()
	Day5Condition = GetHTMLValue2(myzip & "?dayNum=5>","</TR>","")
	StartString = "<TD"
	StopString = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	SkipGif = FindValue7(Day5Condition, StartString, StopString, SearchStart, SearchEnd)
	StartString = "<TD "
	StopString = "</TD>"
	SearchStart = SearchEnd 
	Day5Condition = FindValue7(Day5Condition, StartString, StopString, SearchStart, SearchEnd)
	Day5Condition = Replace(Day5Condition, "CLASS=f2a>", "")
	Day5Condition = Replace(Day5Condition, ">", "")
	Day5Condition = Replace(Day5Condition, " / ", "/")
End Function

Function Day5High()
	vlow = ""
	vhigh = ""
	Day5High = GetHTMLValue2(myzip & "?dayNum=5>","</B>","")
	Day5High = Right(Day5High, Len(Day5High) - (InStrRev(Day5High, "BOR")+24))
	Day5High = Right(Day5High , Len(Day5High ) - InStr(Day5High, ">"))
	Day5High = Right(Day5High , Len(Day5High ) - InStr(Day5High, ">"))
	Day5High = Right(Day5High , Len(Day5High ) - InStr(Day5High, ">"))
	Day5High = Right(Day5High , Len(Day5High ) - InStr(Day5High, ">"))
	Day5High = Right(Day5High , Len(Day5High ) - InStr(Day5High, ">"))
	Day5High = Replace(Day5High, "&deg;", "")
        vlow = Right(Day5High , Len(Day5High ) - InStr(Day5High, "/"))
	vhigh = Mid(Day5High , 1, InStr(Day5High, "/") - 1)
	vlow = ConvertTemp(vlow)
	vhigh = ConvertTemp(vhigh)
	Day5High = vhigh & "/" & vlow
	
End Function

Function Day5Precip()
	Day5Precip = GetHTMLValue2(myzip & "?dayNum=5>"," %</TD>","")
	Day5Precip = Right(Day5Precip,3)
	Day5Precip = Replace(Day5Precip,Quote,"")
	Day5Precip = Replace(Day5Precip,">","")
	Day5Precip = Day5Precip & "%"
End Function

Function Day5Symbol()
	wDay5Symbol = GetHTMLValue2(myzip & "?dayNum=5>",".gif", "")                   '& Quote & " WIDTH","")
	wDay5Symbol = Right(wDay5Symbol,2)
	wDay5Symbol = Replace(wDay5Symbol,"/","")
	a =5
	Day5Symbol = path & vTmp & "Day0" & CStr(a) & ".png"                                                 'Destination of copy
	If vSymbol(a) = wDay5Symbol Then
		Exit Function
	End If
	CopyDaySymbol a, wDay5Symbol
End Function

Function Day6()
	Day6 = GetHTMLValue2(myzip & "?dayNum=6>","</A><BR>","")
End Function

Function Day6Condition()
	Day6Condition = GetHTMLValue2(myzip & "?dayNum=6>","</TR>","")
	StartString = "<TD"
	StopString = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	SkipGif = FindValue7(Day6Condition, StartString, StopString, SearchStart, SearchEnd)
	StartString = "<TD "
	StopString = "</TD>"
	SearchStart = SearchEnd 
	Day6Condition = FindValue7(Day6Condition, StartString, StopString, SearchStart, SearchEnd)
	Day6Condition = Replace(Day6Condition, "CLASS=f2a>", "")
	Day6Condition = Replace(Day6Condition, ">", "")
	Day6Condition = Replace(Day6Condition, " / ", "/")
End Function

Function Day6High()
	vlow = ""
	vhigh = ""
	Day6High = GetHTMLValue2(myzip & "?dayNum=6>","</B>","")
	Day6High = Right(Day6High, Len(Day6High) - (InStrRev(Day6High, "BOR")+24))
	Day6High = Right(Day6High , Len(Day6High ) - InStr(Day6High, ">"))
	Day6High = Right(Day6High , Len(Day6High ) - InStr(Day6High, ">"))
	Day6High = Right(Day6High , Len(Day6High ) - InStr(Day6High, ">"))
	Day6High = Right(Day6High , Len(Day6High ) - InStr(Day6High, ">"))
	Day6High = Right(Day6High , Len(Day6High ) - InStr(Day6High, ">"))
	Day6High = Replace(Day6High, "&deg;", "")
        vlow = Right(Day6High , Len(Day6High ) - InStr(Day6High, "/"))
	vhigh = Mid(Day6High , 1, InStr(Day6High, "/") - 1)
	vlow = ConvertTemp(vlow)
	vhigh = ConvertTemp(vhigh)
	Day6High = vhigh & "/" & vlow
End Function

Function Day6Precip()
	Day6Precip = GetHTMLValue2(myzip & "?dayNum=6>"," %</TD>","")
	Day6Precip = Right(Day6Precip,3)
	Day6Precip = Replace(Day6Precip,Quote,"")
	Day6Precip = Replace(Day6Precip,">","")
	Day6Precip = Day6Precip & "%"
End Function

Function Day6Symbol()
	wDay6Symbol = GetHTMLValue2(myzip & "?dayNum=6>",".gif", "")                   '& Quote & " WIDTH","")
	wDay6Symbol = Right(wDay6Symbol,2)
	wDay6Symbol = Replace(wDay6Symbol,"/","")
	a =6
	Day6Symbol = path & vTmp & "Day0" & CStr(a) & ".png"                                                 'Destination of copy
	If vSymbol(a) = wDay6Symbol Then
		Exit Function
	End If
	CopyDaySymbol a, wDay6Symbol
End Function

Function Day7()
	Day7 = GetHTMLValue2(myzip & "?dayNum=7>","</A><BR>","")
End Function

Function Day7Condition()
	Day7Condition = GetHTMLValue2(myzip & "?dayNum=7>","</TR>","")
	StartString = "<TD"
	StopString = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	SkipGif = FindValue7(Day7Condition, StartString, StopString, SearchStart, SearchEnd)
	StartString = "<TD "
	StopString = "</TD>"
	SearchStart = SearchEnd 
	Day7Condition = FindValue7(Day7Condition, StartString, StopString, SearchStart, SearchEnd)
	Day7Condition = Replace(Day7Condition, "CLASS=f2a>", "")
	Day7Condition = Replace(Day7Condition, ">", "")
	Day7Condition = Replace(Day7Condition, " / ", "/")
End Function

Function Day7High()
	vlow = ""
	vhigh = ""
	Day7High = GetHTMLValue2(myzip & "?dayNum=7>","</B>","")
	Day7High = Right(Day7High, Len(Day7High) - (InStrRev(Day7High, "BOR")+24))
	Day7High = Right(Day7High , Len(Day7High ) - InStr(Day7High, ">"))
	Day7High = Right(Day7High , Len(Day7High ) - InStr(Day7High, ">"))
	Day7High = Right(Day7High , Len(Day7High ) - InStr(Day7High, ">"))
	Day7High = Right(Day7High , Len(Day7High ) - InStr(Day7High, ">"))
	Day7High = Right(Day7High , Len(Day7High ) - InStr(Day7High, ">"))
	Day7High = Replace(Day7High, "&deg;", "")
        vlow = Right(Day7High , Len(Day7High ) - InStr(Day7High, "/"))
	vhigh = Mid(Day7High , 1, InStr(Day7High, "/") - 1)
	vlow = ConvertTemp(vlow)
	vhigh = ConvertTemp(vhigh)
	Day7High = vhigh & "/" & vlow
End Function

Function Day7Precip()
	Day7Precip = GetHTMLValue2(myzip & "?dayNum=7>"," %</TD>","")
	Day7Precip = Right(Day7Precip,3)
	Day7Precip = Replace(Day7Precip,Quote,"")
	Day7Precip = Replace(Day7Precip,">","")
	Day7Precip = Day7Precip & "%"
End Function

Function Day7Symbol()
	wDay7Symbol = GetHTMLValue2(myzip & "?dayNum=7>",".gif", "")                   '& Quote & " WIDTH","")
	wDay7Symbol = Right(wDay7Symbol,2)
	wDay7Symbol = Replace(wDay7Symbol,"/","")
	a =7
	Day7Symbol = path & vTmp & "Day0" & CStr(a) & ".png"                                                 'Destination of copy
	If vSymbol(a) = wDay7Symbol Then
		Exit Function
	End If
	CopyDaySymbol a, wDay7Symbol
End Function

Function Day8()
	Day8 = GetHTMLValue2(myzip & "?dayNum=8>","</A><BR>","")
End Function

Function Day8Condition()
	Day8Condition = GetHTMLValue2(myzip & "?dayNum=8>","</TR>","")
	StartString = "<TD"
	StopString = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	SkipGif = FindValue7(Day8Condition, StartString, StopString, SearchStart, SearchEnd)
	StartString = "<TD "
	StopString = "</TD>"
	SearchStart = SearchEnd 
	Day8Condition = FindValue7(Day8Condition, StartString, StopString, SearchStart, SearchEnd)
	Day8Condition = Replace(Day8Condition, "CLASS=f2a>", "")
	Day8Condition = Replace(Day8Condition, ">", "")
	Day8Condition = Replace(Day8Condition, " / ", "/")
End Function

Function Day8High()
	vlow = ""
	vhigh = ""
	Day8High = GetHTMLValue2(myzip & "?dayNum=8>","</B>","")
	Day8High = Right(Day8High, Len(Day8High) - (InStrRev(Day8High, "BOR")+24))
	Day8High = Right(Day8High , Len(Day8High ) - InStr(Day8High, ">"))
	Day8High = Right(Day8High , Len(Day8High ) - InStr(Day8High, ">"))
	Day8High = Right(Day8High , Len(Day8High ) - InStr(Day8High, ">"))
	Day8High = Right(Day8High , Len(Day8High ) - InStr(Day8High, ">"))
	Day8High = Right(Day8High , Len(Day8High ) - InStr(Day8High, ">"))
	Day8High = Replace(Day8High, "&deg;", "")
        vlow = Right(Day8High , Len(Day8High ) - InStr(Day8High, "/"))
	vhigh = Mid(Day8High , 1, InStr(Day8High, "/") - 1)
	vlow = ConvertTemp(vlow)
	vhigh = ConvertTemp(vhigh)
	Day8High = vhigh & "/" & vlow
End Function

Function Day8Precip()
	Day8Precip = GetHTMLValue2(myzip & "?dayNum=8>"," %</TD>","")
	Day8Precip = Right(Day8Precip,3)
	Day8Precip = Replace(Day8Precip,Quote,"")
	Day8Precip = Replace(Day8Precip,">","")
	Day8Precip = Day8Precip & "%"
End Function

Function Day8Symbol()
	wDay8Symbol = GetHTMLValue2(myzip & "?dayNum=8>",".gif", "")                   '& Quote & " WIDTH","")
	wDay8Symbol = Right(wDay8Symbol,2)
	wDay8Symbol = Replace(wDay8Symbol,"/","")
	a =8
	Day8Symbol = path & vTmp & "Day0" & CStr(a) & ".png"                                                 'Destination of copy
	If vSymbol(a) = wDay8Symbol Then
		Exit Function
	End If
	CopyDaySymbol a, wDay8Symbol
End Function

Function Day9()
	Day9 = GetHTMLValue2(myzip & "?dayNum=9>","</A><BR>","")
End Function

Function Day9Condition()
	Day9Condition = GetHTMLValue2(myzip & "?dayNum=9>","</TR>","")
	StartString = "<TD"
	StopString = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	SkipGif = FindValue7(Day9Condition, StartString, StopString, SearchStart, SearchEnd)
	StartString = "<TD "
	StopString = "</TD>"
	SearchStart = SearchEnd 
	Day9Condition = FindValue7(Day9Condition, StartString, StopString, SearchStart, SearchEnd)
	Day9Condition = Replace(Day9Condition, "CLASS=f2a>", "")
	Day9Condition = Replace(Day9Condition, ">", "")
	Day9Condition = Replace(Day9Condition, " / ", "/")
End Function

Function Day9High()
	vlow = ""
	vhigh = ""
	Day9High = GetHTMLValue2(myzip & "?dayNum=9>","</B>","")
	Day9High = Right(Day9High, Len(Day9High) - (InStrRev(Day9High, "BOR")+24))
	Day9High = Right(Day9High , Len(Day9High ) - InStr(Day9High, ">"))
	Day9High = Right(Day9High , Len(Day9High ) - InStr(Day9High, ">"))
	Day9High = Right(Day9High , Len(Day9High ) - InStr(Day9High, ">"))
	Day9High = Right(Day9High , Len(Day9High ) - InStr(Day9High, ">"))
	Day9High = Right(Day9High , Len(Day9High ) - InStr(Day9High, ">"))
	Day9High = Replace(Day9High, "&deg;", "")
        vlow = Right(Day9High , Len(Day9High ) - InStr(Day9High, "/"))
	vhigh = Mid(Day9High , 1, InStr(Day9High, "/") - 1)
	vlow = ConvertTemp(vlow)
	vhigh = ConvertTemp(vhigh)
	Day9High = vhigh & "/" & vlow
End Function

Function Day9Precip()
	Day9Precip = GetHTMLValue2(myzip & "?dayNum=9>"," %</TD>","")
	Day9Precip = Right(Day9Precip,3)
	Day9Precip = Replace(Day9Precip,Quote,"")
	Day9Precip = Replace(Day9Precip,">","")
	Day9Precip = Day9Precip & "%"
End Function

Function Day9Symbol()
	wDay9Symbol = GetHTMLValue2(myzip & "?dayNum=9>",".gif", "")                   '& Quote & " WIDTH","")
	wDay9Symbol = Right(wDay9Symbol,2)
	wDay9Symbol = Replace(wDay9Symbol,"/","")
	a =9
	Day9Symbol = path & vTmp & "Day0" & CStr(a) & ".png"                                                 'Destination of copy
	If vSymbol(a) = wDay9Symbol Then
		Exit Function
	End If
	CopyDaySymbol a, wDay9Symbol
End Function

Function Hour01Time()
	Hour01Time = GetHTMLValue3("insert time -->","</TD>","")
	Hour01Time = Calc24Hour(Hour01Time)
End Function

Function Hour01Forecast()
	AddInt = 0
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour01Forecast = FindValue(SearchString, "insert forecast -->", "</TD>")
End Function

Function Hour01Temp()
	AddInt = 0
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour01Temp = FindValue(SearchString, "insert temp -->", "&deg;</B></TD>")
	Hour01Temp = ConvertTemp(Hour01Temp)
End Function

Function Hour01FeelsLike()
	AddInt = 0
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour01FeelsLike = FindValue(SearchString, "insert feels like -->", "&deg;</TD>")
	Hour01FeelsLike = ConvertTemp(Hour01FeelsLike)
End Function

Function Hour01DewPoint()
	AddInt = 0
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour01DewPoint = FindValue(SearchString, "insert dew point -->", "&deg;</TD>")
	Hour01DewPoint = ConvertTemp(Hour01DewPoint)
End Function

Function Hour01PrecipChance()
	AddInt = 0
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour01PrecipChance = FindValue(SearchString, "insert precip chance -->", "</TD>")
End Function

Function Hour01Humidity()
	AddInt = 0
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour01Humidity = FindValue(SearchString, "insert humidity -->", "</TD>")
End Function

Function Hour01Wind()
	vWind = ""
	vLeftofString= ""
	vRightofString= ""
	AddInt = 0
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour01Wind = FindValue(SearchString, "insert wind -->", "</TD>")
	vRightofString = Right(Hour01Wind, Len(Hour01Wind) - InStr(Hour01Wind, "mph")+1)
	If vRightofString = "mph" then
		vLeftofString = Left(Hour01Wind, InStr(Hour01Wind, "at")+2)
		vWind = Mid(Hour01Wind, InStr(Hour01Wind,"at")+3,(Len(Hour01Wind) - (Len(vLeftofString) + Len(vRightofString))))
	        vWind = ConvertMPH(vWind)
	Else
	 	vWind = Hour01Wind
	 	vRightofString = ""
	End If	 
	If Metric Then
	 	If vRightofString ="mph" then
	 		vRightofString = "kph"
	 	End If
	End If
	Hour01Wind = vLeftofString & vWind & " " & vRightofString
 
End Function

Function Hour02Time()
	AddInt = 1
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour02Time = CalcHour(AddInt)
	Hour02Time = Calc24Hour(Hour02Time)
End Function

Function Hour02Forecast()
	AddInt = 1
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour02Forecast = FindValue(SearchString, "insert forecast -->", "</TD>")
End Function

Function Hour02Temp()
	AddInt = 1
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour02Temp = FindValue(SearchString, "insert temp -->", "&deg;</B></TD>")
	Hour02Temp = ConvertTemp(Hour02Temp)
End Function

Function Hour02FeelsLike()
	AddInt = 1
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour02FeelsLike = FindValue(SearchString, "insert feels like -->", "&deg;</TD>")
	Hour02FeelsLike = ConvertTemp(Hour02FeelsLike)
End Function

Function Hour02DewPoint()
	AddInt = 1
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour02DewPoint = FindValue(SearchString, "insert dew point -->", "&deg;</TD>")
	Hour02DewPoint = ConvertTemp(Hour02DewPoint)
End Function

Function Hour02PrecipChance()
	AddInt = 1
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour02PrecipChance = FindValue(SearchString, "insert precip chance -->", "</TD>")
End Function

Function Hour02Humidity()
	AddInt = 1
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour02Humidity = FindValue(SearchString, "insert humidity -->", "</TD>")
End Function

Function Hour02Wind()
	vWind = ""
	vLeftofString= ""
	vRightofString= ""
	AddInt = 1
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour02Wind = FindValue(SearchString, "insert wind -->", "</TD>")
	vRightofString = Right(Hour02Wind, Len(Hour02Wind) - InStr(Hour02Wind, "mph")+1)
	If vRightofString = "mph" then
		vLeftofString = Left(Hour02Wind, InStr(Hour02Wind, "at")+2)
		vWind = Mid(Hour02Wind, InStr(Hour02Wind,"at")+3,(Len(Hour02Wind) - (Len(vLeftofString) + Len(vRightofString))))
	        vWind = ConvertMPH(vWind)
	Else
	 	vWind = Hour02Wind
	 	vRightofString = ""
	End If	 
	If Metric Then
	 	If vRightofString ="mph" then
	 		vRightofString = "kph"
	 	End If
	End If
	Hour02Wind = vLeftofString & vWind & " " & vRightofString
 
End Function

Function Hour03Time()
	AddInt = 2
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour03Time = CalcHour(AddInt)
	Hour03Time = Calc24Hour(Hour03Time)
End Function

Function Hour03Forecast()
	AddInt = 2
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour03Forecast = FindValue(SearchString, "insert forecast -->", "</TD>")
End Function

Function Hour03Temp()
	AddInt = 2
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour03Temp = FindValue(SearchString, "insert temp -->", "&deg;</B></TD>")
	Hour03Temp = ConvertTemp(Hour03Temp)
End Function

Function Hour03FeelsLike()
	AddInt = 2
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour03FeelsLike = FindValue(SearchString, "insert feels like -->", "&deg;</TD>")
	Hour03FeelsLike = ConvertTemp(Hour03FeelsLike)
End Function

Function Hour03DewPoint()
	AddInt = 2
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour03DewPoint = FindValue(SearchString, "insert dew point -->", "&deg;</TD>")
	Hour03DewPoint = ConvertTemp(Hour03DewPoint)
End Function

Function Hour03PrecipChance()
	AddInt = 2
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour03PrecipChance = FindValue(SearchString, "insert precip chance -->", "</TD>")
End Function

Function Hour03Humidity()
	AddInt = 2
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour03Humidity = FindValue(SearchString, "insert humidity -->", "</TD>")
End Function

Function Hour03Wind()
	vWind = ""
	vLeftofString= ""
	vRightofString= ""
	AddInt = 2
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour03Wind = FindValue(SearchString, "insert wind -->", "</TD>")
	vRightofString = Right(Hour03Wind, Len(Hour03Wind) - InStr(Hour03Wind, "mph")+1)
	If vRightofString = "mph" then
		vLeftofString = Left(Hour03Wind, InStr(Hour03Wind, "at")+2)
		vWind = Mid(Hour03Wind, InStr(Hour03Wind,"at")+3,(Len(Hour03Wind) - (Len(vLeftofString) + Len(vRightofString))))
	        vWind = ConvertMPH(vWind)
	Else
	 	vWind = Hour03Wind
	 	vRightofString = ""
	End If	 
	If Metric Then
	 	If vRightofString ="mph" then
	 		vRightofString = "kph"
	 	End If
	End If
	Hour03Wind = vLeftofString & vWind & " " & vRightofString
 End Function

Function Hour04Time()
	AddInt = 3
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour04Time = CalcHour(AddInt)
	Hour04Time = Calc24Hour(Hour04Time)
End Function

Function Hour04Forecast()
	AddInt = 3
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour04Forecast = FindValue(SearchString, "insert forecast -->", "</TD>")
End Function

Function Hour04Temp()
	AddInt = 3
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour04Temp = FindValue(SearchString, "insert temp -->", "&deg;</B></TD>")
	Hour04Temp = ConvertTemp(Hour04Temp)
End Function

Function Hour04FeelsLike()
	AddInt = 3
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour04FeelsLike = FindValue(SearchString, "insert feels like -->", "&deg;</TD>")
	Hour04FeelsLike = ConvertTemp(Hour04FeelsLike)
End Function

Function Hour04DewPoint()
	AddInt = 3
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour04DewPoint = FindValue(SearchString, "insert dew point -->", "&deg;</TD>")
	Hour04DewPoint = ConvertTemp(Hour04DewPoint)
End Function

Function Hour04PrecipChance()
	AddInt = 3
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour04PrecipChance = FindValue(SearchString, "insert precip chance -->", "</TD>")
End Function

Function Hour04Humidity()
	AddInt = 3
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour04Humidity = FindValue(SearchString, "insert humidity -->", "</TD>")
End Function

Function Hour04Wind()
	vWind = ""
	vLeftofString= ""
	vRightofString= ""
	AddInt = 3
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour04Wind = FindValue(SearchString, "insert wind -->", "</TD>")
	vRightofString = Right(Hour04Wind, Len(Hour04Wind) - InStr(Hour04Wind, "mph")+1)
	If vRightofString = "mph" then
		vLeftofString = Left(Hour04Wind, InStr(Hour04Wind, "at")+2)
		vWind = Mid(Hour04Wind, InStr(Hour04Wind,"at")+3,(Len(Hour04Wind) - (Len(vLeftofString) + Len(vRightofString))))
	        vWind = ConvertMPH(vWind)
	Else
	 	vWind = Hour04Wind
	 	vRightofString = ""
	End If	 
	If Metric Then
	 	If vRightofString ="mph" then
	 		vRightofString = "kph"
	 	End If
	End If
	Hour04Wind = vLeftofString & vWind & " " & vRightofString
 
End Function

Function Hour05Time()
	AddInt = 4
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour05Time = CalcHour(AddInt)
	Hour05Time = Calc24Hour(Hour05Time)
End Function

Function Hour05Forecast()
	AddInt = 4
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour05Forecast = FindValue(SearchString, "insert forecast -->", "</TD>")
End Function

Function Hour05Temp()
	AddInt = 4
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour05Temp = FindValue(SearchString, "insert temp -->", "&deg;</B></TD>")
	Hour05Temp = ConvertTemp(Hour05Temp)
End Function

Function Hour05FeelsLike()
	AddInt = 4
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour05FeelsLike = FindValue(SearchString, "insert feels like -->", "&deg;</TD>")
	Hour05FeelsLike = ConvertTemp(Hour05FeelsLike)
End Function

Function Hour05DewPoint()
	AddInt = 4
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour05DewPoint = FindValue(SearchString, "insert dew point -->", "&deg;</TD>")
	Hour05DewPoint = ConvertTemp(Hour05DewPoint)
End Function

Function Hour05PrecipChance()
	AddInt = 4
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour05PrecipChance = FindValue(SearchString, "insert precip chance -->", "</TD>")
End Function

Function Hour05Humidity()
	AddInt = 4
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour05Humidity = FindValue(SearchString, "insert humidity -->", "</TD>")
End Function

Function Hour05Wind()
	vWind = ""
	vLeftofString= ""
	vRightofString= ""
	AddInt = 4
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour05Wind = FindValue(SearchString, "insert wind -->", "</TD>")
	vRightofString = Right(Hour05Wind, Len(Hour05Wind) - InStr(Hour05Wind, "mph")+1)
	If vRightofString = "mph" then
		vLeftofString = Left(Hour05Wind, InStr(Hour05Wind, "at")+2)
		vWind = Mid(Hour05Wind, InStr(Hour05Wind,"at")+3,(Len(Hour05Wind) - (Len(vLeftofString) + Len(vRightofString))))
	        vWind = ConvertMPH(vWind)
	Else
	 	vWind = Hour05Wind
	 	vRightofString = ""
	End If	 
	If Metric Then
	 	If vRightofString ="mph" then
	 		vRightofString = "kph"
	 	End If
	End If
	Hour05Wind = vLeftofString & vWind & " " & vRightofString
End function

Function Hour06Time()
	AddInt = 5
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour06Time = CalcHour(AddInt)
	Hour06Time = Calc24Hour(Hour06Time)
End Function

Function Hour06Forecast()
	AddInt = 5
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour06Forecast = FindValue(SearchString, "insert forecast -->", "</TD>")
End Function

Function Hour06Temp()
	AddInt = 5
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour06Temp = FindValue(SearchString, "insert temp -->", "&deg;</B></TD>")
	Hour06Temp = ConvertTemp(Hour06Temp)
End Function

Function Hour06FeelsLike()
	AddInt = 5
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour06FeelsLike = FindValue(SearchString, "insert feels like -->", "&deg;</TD>")
	Hour06FeelsLike = ConvertTemp(Hour06FeelsLike)
End Function

Function Hour06DewPoint()
	AddInt = 5
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour06DewPoint = FindValue(SearchString, "insert dew point -->", "&deg;</TD>")
	Hour06DewPoint = ConvertTemp(Hour06DewPoint)
End Function

Function Hour06PrecipChance()
	AddInt = 5
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour06PrecipChance = FindValue(SearchString, "insert precip chance -->", "</TD>")
End Function

Function Hour06Humidity()
	AddInt = 5
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour06Humidity = FindValue(SearchString, "insert humidity -->", "</TD>")
End Function

Function Hour06Wind()
	vWind = ""
	vLeftofString= ""
	vRightofString= ""
	AddInt = 5
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour06Wind = FindValue(SearchString, "insert wind -->", "</TD>")
	vRightofString = Right(Hour06Wind, Len(Hour06Wind) - InStr(Hour06Wind, "mph")+1)
	If vRightofString = "mph" then
		vLeftofString = Left(Hour06Wind, InStr(Hour06Wind, "at")+2)
		vWind = Mid(Hour06Wind, InStr(Hour06Wind,"at")+3,(Len(Hour06Wind) - (Len(vLeftofString) + Len(vRightofString))))
	        vWind = ConvertMPH(vWind)
	Else
	 	vWind = Hour06Wind
	 	vRightofString = ""
	End If	 
	If Metric Then
	 	If vRightofString ="mph" then
	 		vRightofString = "kph"
	 	End If
	End If
	Hour06Wind = vLeftofString & vWind & " " & vRightofString
End function

Function Hour07Time()
	AddInt = 6
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour07Time = CalcHour(AddInt)
	Hour07Time = Calc24Hour(Hour07Time)
End Function

Function Hour07Forecast()
	AddInt = 6
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour07Forecast = FindValue(SearchString, "insert forecast -->", "</TD>")
End Function

Function Hour07Temp()
	AddInt = 6
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour07Temp = FindValue(SearchString, "insert temp -->", "&deg;</B></TD>")
	Hour07Temp = ConvertTemp(Hour07Temp)
End Function

Function Hour07FeelsLike()
	AddInt = 6
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour07FeelsLike = FindValue(SearchString, "insert feels like -->", "&deg;</TD>")
	Hour07FeelsLike = ConvertTemp(Hour07FeelsLike)
End Function

Function Hour07DewPoint()
	AddInt = 6
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour07DewPoint = FindValue(SearchString, "insert dew point -->", "&deg;</TD>")
	Hour07DewPoint = ConvertTemp(Hour07DewPoint)
End Function

Function Hour07PrecipChance()
	AddInt = 6
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour07PrecipChance = FindValue(SearchString, "insert precip chance -->", "</TD>")
End Function

Function Hour07Humidity()
	AddInt = 6
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour07Humidity = FindValue(SearchString, "insert humidity -->", "</TD>")
End Function

Function Hour07Wind()
	vWind = ""
	vLeftofString= ""
	vRightofString= ""
	AddInt = 6
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour07Wind = FindValue(SearchString, "insert wind -->", "</TD>")
	vRightofString = Right(Hour07Wind, Len(Hour07Wind) - InStr(Hour07Wind, "mph")+1)
	If vRightofString = "mph" then
		vLeftofString = Left(Hour07Wind, InStr(Hour07Wind, "at")+2)
		vWind = Mid(Hour07Wind, InStr(Hour07Wind,"at")+3,(Len(Hour07Wind) - (Len(vLeftofString) + Len(vRightofString))))
	        vWind = ConvertMPH(vWind)
	Else
	 	vWind = Hour07Wind
	 	vRightofString = ""
	End If	 
	If Metric Then
	 	If vRightofString ="mph" then
	 		vRightofString = "kph"
	 	End If
	End If
	Hour07Wind = vLeftofString & vWind & " " & vRightofString
End function

Function Hour08Time()
	AddInt = 7
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour08Time = CalcHour(AddInt)
	Hour08Time = Calc24Hour(Hour08Time)
End Function

Function Hour08Forecast()
	AddInt = 7
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour08Forecast = FindValue(SearchString, "insert forecast -->", "</TD>")
End Function

Function Hour08Temp()
	AddInt = 7
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour08Temp = FindValue(SearchString, "insert temp -->", "&deg;</B></TD>")
	Hour08Temp = ConvertTemp(Hour08Temp)
End Function

Function Hour08FeelsLike()
	AddInt = 7
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour08FeelsLike = FindValue(SearchString, "insert feels like -->", "&deg;</TD>")
	Hour08FeelsLike = ConvertTemp(Hour08FeelsLike)
End Function

Function Hour08DewPoint()
	AddInt = 7
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour08DewPoint = FindValue(SearchString, "insert dew point -->", "&deg;</TD>")
	Hour08DewPoint = ConvertTemp(Hour08DewPoint)
End Function

Function Hour08PrecipChance()
	AddInt = 7
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour08PrecipChance = FindValue(SearchString, "insert precip chance -->", "</TD>")
End Function

Function Hour08Humidity()
	AddInt = 7
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour08Humidity = FindValue(SearchString, "insert humidity -->", "</TD>")
End Function

Function Hour08Wind()
	vWind = ""
	vLeftofString= ""
	vRightofString= ""
	AddInt = 7
	SearchString = GetHTMLValue3("insert time -->" & CalcHour(AddInt),"</TR>","")
	Hour08Wind = FindValue(SearchString, "insert wind -->", "</TD>")
	vRightofString = Right(Hour08Wind, Len(Hour08Wind) - InStr(Hour08Wind, "mph")+1)
	If vRightofString = "mph" then
		vLeftofString = Left(Hour08Wind, InStr(Hour08Wind, "at") +2)
		vWind = Mid(Hour08Wind, InStr(Hour08Wind, "at") +3, (Len(Hour08Wind) - (Len(vLeftofString) + Len(vRightofString))))
		vWind = ConvertMPH(vWind)
	Else
	 	vWind = Hour08Wind
	 	vRightofString = ""
	End If	 
	If Metric Then
	 	If vRightofString ="mph" then
	 		vRightofString = "kph"
	 	End If
	End If
	Hour08Wind = vLeftofString & vWind & " " & vRightofString
End function

Function TonightsForecast()
	TonightsForecast = "Tonight: " & GetHTMLValue7("Tonight:</B>&nbsp;", "</TD>", "")
	TonightsForecast = Replace(TonightsForecast, "         ", "")
	TonightsForecast = Replace(TonightsForecast, crtn, "")
	TonightsForecast = Replace(TonightsForecast, lf, "")
End Function

Function TomorrowsForecast()
	TomorrowsForecast = "Tomorrow: " & GetHTMLValue7("Tomorrow:</B>&nbsp;", "</TD>", "")
	TomorrowsForecast = Replace(TomorrowsForecast, "         ", "")
	TomorrowsForecast = Replace(TomorrowsForecast, crtn, "")
	TomorrowsForecast = Replace(TomorrowsForecast, lf, "")
End Function

Function TomorrowNightsForecast()
	TomorrowNightsForecast = "Tomorrow night: " & GetHTMLValue7("Tomorrow night:</B>&nbsp;", "</TD>", "")
	TomorrowNightsForecast = Replace(TomorrowNightsForecast, "         ", "")
	TomorrowNightsForecast = Replace(TomorrowNightsForecast, crtn, "")
	TomorrowNightsForecast = Replace(TomorrowNightsForecast, lf, "")
End Function

Private Function FindValue(SearchString, StartString, StopString)
	SearchStart = InStr(SearchString, StartString)  + Len(StartString)
	SearchEnd = InStr(SearchStart, SearchString, StopString)
	If SearchStart > 0 and SearchEnd > 0 Then
		FindValue = Replace(Mid(SearchString, SearchStart, (SearchEnd - SearchStart)), "&nbsp;", " ")
	Else
		FindValue = "n/a"
	End If
End Function
	
Private Function FindValue7(SearchString, StartString, StopString, SearchStart, SearchEnd)
	If SearchStart = 0 Then
		SearchStart = InStr(SearchString, StartString)
	Else
		SearchStart = InStr(SearchStart, SearchString, StartString) 
	End If
	If SearchStart = 0 Then
		SearchEnd = 0
	Else
		SearchStart = SearchStart + Len(StartString)
		SearchEnd = InStr(SearchStart,SearchString, StopString)
	End If
	If SearchStart > 0 and SearchEnd > 0 Then
		FindValue7 = Mid(SearchString, SearchStart, SearchEnd - SearchStart)
	Else
		FindValue7 = "n/a"
	End If
End Function

Private Function CalcHour(AddInt)
	starthourtext = Left(HourStartTime,2)
	trimhourtime = Trim(starthourtext)
	startHour = Int(trimhourtime)
	startAMPM = Right(HourStartTime,2)
	newHour = startHour + AddInt
	If (newHour > 11) and not (startHour = 12) Then
		If startAMPM = "AM" Then
			startAMPM = "PM"
		Else
			startAMPM = "AM"
		End If	
	End If	
	If newHour > 12 Then
		newhour = newHour - 12
	End If
	CalcHour = CStr(newHour) & " " & startAMPM
End Function

Private Function HourStartTime()
	HourStartTime = GetHTMLValue3("insert time -->","</TD>","")
End Function

Function Sunrise()
	Sunrise = GetHTMLValue4("insert sunrise time -->", "</TD>", "")
	If AMPM Then
		Exit Function
	End If
	Sunrise = Calc24Time(Sunrise)
End Function

Function Sunset()
	Sunset = GetHTMLValue4("insert sunset time -->", "</TD>", "")
	If AMPM Then
		Exit Function
	End If
	Sunset = Trim(Sunset)
	Sunset = Calc24Time(Sunset)
End Function

Function AvgHigh()
	AvgHigh = GetHTMLValue4("insert avg. high -->", "&deg", "")
	AvgHigh = ConvertTemp(AvgHigh)
End Function

Function AvgLow()
	AvgLow = GetHTMLValue4("insert avg low -->", "&deg", "")
	AvgLow = ConvertTemp(AvgLow)
End Function

Function RecordHigh()
	RecordHightotal = GetHTMLValue4("insert record high -->", "</TD>", "")
	RecordHigh = 	GetHTMLValue4("insert record high -->", "&deg;F", "")
	RecordHigh = ConvertTemp(RecordHigh)
	RecordHightotal = Right(RecordHightotal, 6)
	vForC = " F"
	If Metric Then
		vForC = " C"
	End If
	RecordHigh = RecordHigh & vdegree & vForC & " " & RecordHightotal
End Function

Function RecordLow()
	RecordLowtotal = GetHTMLValue4("insert record low -->", "</TD>", "")
	RecordLow = 	GetHTMLValue4("insert record low -->", "&deg;F", "")
	RecordLow = ConvertTemp(RecordLow)
	RecordLowtotal = Right(RecordLowtotal, 6)
	vForC = " F"
	If Metric Then
		vForC = " C"
	End If
	RecordLow = RecordLow & vdegree & vForC & " " & RecordLowtotal
End Function

Function MoonPhase()
	vstring1 = "FONT CLASS=" & Quote & "captionText" & Quote & ">"
	vstring2 = "</FONT></TD>" 
	MoonPhase = GetHTMLValue5(vstring1, vstring2, "")
	MoonPhase = Replace(MoonPhase, "&nbdp;", "")
	MoonPhase = Trim(MoonPhase)
End Function

Function MoonSymbol()
	wMoonSymbol = GetHTMLValue5("image.weather.com/web/common/moonicons/52/",".gif","")
 	a = 10
	MoonSymbol = path & vTmp & "MoonSymbol.png"
	If Int(wMoonSymbol) < 0 or Int(wMoonSymbol) > 29 Then
		wMoonSymbol = "0"
	End If
	If (vSymbol(a) = wMoonSymbol) Then
		Exit Function
	End If
	vSymbol(a)  = wMoonSymbol
	mSymbol = wMoonSymbol
	wppath = path & "Icons\MoonPngs\" & mSymbol & ".png"             'Source of new weather png
	sppath = path & vTmp & "MoonSymbol.png"                                                 'Destination of copy
	Set FSys = CreateObject("Scripting.FileSystemObject")
	FSys.CopyFile wppath, sppath, True
	Set FSys = Nothing
	Restart = True
	RefreshConfig()
End Function

Function MoonRise()
	MoonRise = GetHTMLValue5("Moonrise", "</TR>", "")
	vstring1 = "captionText" & Quote & ">"
	vstring2 = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	MoonRise = Find6Value(MoonRise, vstring1, vstring2, SearchStart, SearchEnd)
	If myzip = seazip Then
		If AMPM Then
			Exit Function
		Else
			MoonRise = Calc24Time(MoonRise)
			Exit Function
		End IF
	End If		
	Newoffset = GmtOffset
	MoonRise = CalcTime(MoonRise, Newoffset)
	If AMPM Then
		Exit Function
	End If
	MoonRise = Calc24Time(MoonRise)
End Function

Function MoonSet()
	MoonSet = GetHTMLValue5("Moonset", "</TR>", "")
	vstring1 = "captionText" & Quote & ">"
	vstring2 = "</TD>"
	SearchStart = 0
	SearchEnd = 0
	MoonSet = Find6Value(MoonSet, vstring1, vstring2, SearchStart, SearchEnd)
	If AMPM Then
		Exit Function
	End If
	MoonSet = Calc24Time(MoonSet)
End Function


'-----------------------------------------------------
'Get Current Time Zone
'-----------------------------------------------------
'
Private Function GMTOffset()
'
' Connect to WMI and obtain instances of Win32_TimeZone
'
	For Each objTZ in GetObject("winmgmts:").InstancesOf ("Win32_TimeZone")
		GMTOffset = objTZ.Bias
	Next
	WorkGMTOffset = Abs(GMTOffset) / 60					
	GMTOffset = WorkGMTOffset * Sgn(GMTOffset)					'Timezones offset from UTC
	For Each objOS in GetObject("winmgmts:").InstancesOf ("Win32_OperatingSystem")
		DSTOffset = objOS.CurrentTimeZone
	Next
	WorkDST = Abs(DSTOffset) / 60
	DSTOffset = WorkDST * Sgn(DSTOffset)						'If DST is in effect this will not be = to GMTOffset
	If DSTOffset = GMTOffset Then
		WorkDST = 5
	Else
		WorkDST = 4
	End If	
	GMTOffset = WorkDST + DSTOffset
End Function

Private Function CalcTime(WorkTime, HourOffset)
	starthourtext = Left(WorkTime,(InStr(WorkTime,":") - 1))
	startHour = Int(starthourtext)
	startMins = Mid(WorkTime, (InStr(WorkTime, ":") +1), 2)
	startAMPM = Right(WorkTime,2)
	newHour = startHour + HourOffset
	If (newHour > 11) and not (startHour = 12) Then
		If startAMPM = "AM" Then
			startAMPM = "PM"
		Else
			startAMPM = "AM"
		End If	
	End If	
	If newHour > 12 Then
		newhour = newHour - 12
	End If
	CalcTime = CStr(newHour) & ":" & startMins & " " & startAMPM
End Function

Function SeaWindSpeed()
	vstring1 = "Wind Speed:</FONT></TD>"
	vstring2 = "</TD>"
	SeaWindSpeed = GetHTMLValue5(vstring1, vstring2, "")
	vstring1 = "#214486" & Quote & ">"
	vstring2 = "</FONT>"
	SearchStart = 0
	SearchEnd = 0
	SeaWindSpeed = Find6Value(SeaWindSpeed, vstring1, vstring2, SearchStart, SearchEnd)
	SeaWindSpeed = Replace(SeaWindSpeed, "&nbsp;", " ")
	If Not Metric Then
		Exit Function
	End If
	If Right(SeaWindSpeed, 4) = " mph" Then
		vspeed = Left(SeaWindSpeed, (Len(SeaWindSpeed) - 4))
		SeaWindSpeed = ConvertMPH(vspeed) & " kph"
	End If		
End Function

Function SeaWindDirection()
	vstring1 = "Wind Direction:</FONT></TD>"
	vstring2 = "</TD>"
	SeaWindDirection = GetHTMLValue5(vstring1, vstring2, "")
	vstring1 = "#214486" & Quote & ">"
	vstring2 = "</FONT>"
	SearchStart = 0
	SearchEnd = 0
	SeaWindDirection = Find6Value(SeaWindDirection, vstring1, vstring2, SearchStart, SearchEnd)
	SeaWindDirection = Replace(SeaWindDirection, "&nbsp;", " ")
	SeaWindDirection = Replace(SeaWindDirection, "&deg;", vdegree)
End Function

Function SeaSurf()
	vstring1 = "Surf:</FONT></TD>"
	vstring2 = "</TD>"
	SeaSurf = GetHTMLValue5(vstring1, vstring2, "")
	vstring1 = "#214486" & Quote & ">"
	vstring2 = "</FONT>"
	SearchStart = 0
	SearchEnd = 0
	SeaSurf = Find6Value(SeaSurf, vstring1, vstring2, SearchStart, SearchEnd)
End Function

Function SeaSurfaceTemp()
	vstring1 = "Sea Surface Temp:</FONT></TD>"
	vstring2 = "</TD>"
	SeaSurfaceTemp = GetHTMLValue5(vstring1, vstring2, "")
	vstring1 = "#214486" & Quote & ">"
	vstring2 = "</FONT>"
	SearchStart = 0
	SearchEnd = 0
	SeaSurfaceTemp = Find6Value(SeaSurfaceTemp, vstring1, vstring2, SearchStart, SearchEnd)
	SeaSurfaceTemp = Replace(SeaSurfaceTemp, "&nbsp;", " ")
	SeaSurfaceTemp = Replace(SeaSurfaceTemp, " F", "")
	If Not Metric Then
		Exit Function
	End If
	vtemp =SeaSurfaceTemp
	SeaSurfaceTemp = ConvertTemp(vtemp)
End Function

Function SeaWaveHeight()
	vstring1 = "Wave Height:</FONT></TD>"
	vstring2 = "</TD>"
	SeaWaveHeight = GetHTMLValue5(vstring1, vstring2, "")
	vstring1 = "#214486" & Quote & ">"
	vstring2 = "</FONT>"
	SearchStart = 0
	SearchEnd = 0
	SeaWaveHeight = Find6Value(SeaWaveHeight, vstring1, vstring2, SearchStart, SearchEnd)
	SeaWaveHeight = Replace(SeaWaveHeight, "&nbsp;", " ")
	If Not Metric Then
		Exit Function
	End If
	If Left(SeaWaveHeight, 2) = "--" Then
		SeaWaveHeight = "-- m"
		Exit Function
	End If
	If Right(SeaWaveHeight, 4) = " ft." Then
		vtemp = Left(SeaWaveHeight, (Len(SeaWaveHeight) - 4))
		vtemp = Left(SeaWaveHeight, 1)
		SeaWaveHeight = ConvertFeet(vtemp) & " m"
	End If		
End Function

Function SeaWaveDirection()
	vstring1 = "Wave Direction:</FONT></TD>"
	vstring2 = "</TD>"
	SeaWaveDirection = GetHTMLValue5(vstring1, vstring2, "")
	vstring1 = "#214486" & Quote & ">"
	vstring2 = "</FONT>"
	SearchStart = 0
	SearchEnd = 0
	SeaWaveDirection = Find6Value(SeaWaveDirection, vstring1, vstring2, SearchStart, SearchEnd)
	SeaWaveDirection = Replace(SeaWaveDirection, "&nbsp;", " ")
	SeaWaveDirection = Replace(SeaWaveDirection, "&deg;", vdegree)
End Function

Function SeaWavePeriod()
	vstring1 = "Wave Period:</FONT></TD>"
	vstring2 = "</TD>"
	SeaWavePeriod = GetHTMLValue5(vstring1, vstring2, "")
	vstring1 = "#214486" & Quote & ">"
	vstring2 = "</FONT>"
	SearchStart = 0
	SearchEnd = 0
	SeaWavePeriod = Find6Value(SeaWavePeriod, vstring1, vstring2, SearchStart, SearchEnd)
End Function

Function TideCity()
	TideCity = GetHTMLValue6("<B> for", "</B>", "")
End Function

Private Function GetTides()
	GetTides =  GetHTMLValue6("<B> for", "</table>", "")
	SearchStart = 0
	SearchEnd = 0
	vstring1 = "VALIGN=" & Quote & "middle" & Quote & ">"
	vstring2 = "FONT COLOR=" & Quote & "#01919a" & Quote & ">" 
	For a = 0 to 2
			TideDay(a) = Find6Value(GetTides, vstring1, "</TD>", SearchStart, SearchEnd)
			If Left(TideDay(a), 13)  = vbTab & vbTab & "<TD BGCOLOR" Then
				FillTable
				Exit For
			End If
			SearchStart = SearchEnd 
		For b = 0 to 7
			TideTable(a, b) = Find6Value(GetTides, vstring2, "</FONT>", SearchStart, SearchEnd)
			SearchStart = SearchEnd
		Next
	Next	
End Function

Private Function FillTable
	TwoHyphen = "--"
	a = 2
	TideDay(a) = TwoHyphen
	For b = 0 to 7
		TideTable(a, b) = TwoHyphen
	Next
End Function

Private Function Find6Value(SearchString, StartString, StopString, SearchStart, SearchEnd)
	If SearchStart = 0 Then
		SearchStart = InStr(SearchString, StartString)  + Len(StartString)
	Else
		SearchStart = InStr(SearchStart, SearchString, StartString) + Len(StartString)
	End If
	SearchEnd = InStr(SearchStart, SearchString, StopString)
	If SearchStart > 0 and SearchEnd > 0 Then
		Find6Value = Replace(Mid(SearchString, SearchStart, (SearchEnd - SearchStart)), "&nbsp;", " ")
	Else
		Find6Value = "n/a"
	End If
End Function

Function TideDay1()
	GetTides
	TideDay1 = TideDay(0)
End Function

Function TideDay2()
	GetTides
	TideDay2 = TideDay(1)
End Function

Function TideDay3()
	If TideDay(2) = "n/a" Then
		TideDay3 = "--"
		Exit Function
	End If
	GetTides
	TideDay3 = TideDay(2)
End Function

Function HiTide1Day1()
	GetTides
	HiTide1Day1 = TideTable(0, 0)
	If Not Metric Then
		Exit Function
	End If
	If HiTide1Day1 = "--" Then
		Exit Function
	End If
	HiTide1Day1 = ConvertTide(HiTide1Day1)
End Function

Function LoTide1Day1()
	GetTides
	LoTide1Day1 = TideTable(0, 1)
	If Not Metric Then
		Exit Function
	End If
	If LoTide1Day1 = "--" Then
		Exit Function
	End If
	LoTide1Day1 = ConvertTide(LoTide1Day1)
End Function

Function HiTide2Day1()
	GetTides
	HiTide2Day1 = TideTable(0, 2)
	If Not Metric Then
		Exit Function
	End If
	If HiTide2Day1 = "--" Then
		Exit Function
	End If
	HiTide2Day1 = ConvertTide(HiTide2Day1)
End Function

Function LoTide2Day1()
	GetTides
	LoTide2Day1 = TideTable(0, 3)
	If Not Metric Then
		Exit Function
	End If
	If LoTide2Day1 = "--" Then
		Exit Function
	End If
	LoTide2Day1 = ConvertTide(LoTide2Day1)
End Function

Function HiTideTime1Day1()
	GetTides
	HiTideTime1Day1 = TideTable(0, 4)
	If HiTideTime1Day1 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	HiTideTime1Day1 = Calc24Time(HiTideTime1Day1)
End Function

Function LoTideTime1Day1
	GetTides
	LoTideTime1Day1 = TideTable(0, 5)
	If LoTideTime1Day1 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	LoTideTime1Day1 = Calc24Time(LoTideTime1Day1)
End Function

Function HiTideTime2Day1()
	GetTides
	HiTideTime2Day1 = TideTable(0, 6)
	If HiTideTime2Day1 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	HiTideTime2Day1 = Calc24Time(HiTideTime2Day1)
End Function

Function LoTideTime2Day1()
	GetTides
	LoTideTime2Day1 = TideTable(0, 7)
	If LoTideTime2Day1 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	LoTideTime2Day1 = Calc24Time(LoTideTime2Day1)
End Function

Function HiTide1Day2()
	GetTides
	HiTide1Day2 = TideTable(1, 0)
	If Not Metric Then
		Exit Function
	End If
	If HiTide1Day2 = "--" Then
		Exit Function
	End If
	HiTide1Day2 = ConvertTide(HiTide1Day2)
End Function

Function LoTide1Day2()
	GetTides
	LoTide1Day2 = TideTable(1, 1)
	If Not Metric Then
		Exit Function
	End If
	If LoTide1Day2 = "--" Then
		Exit Function
	End If
	LoTide1Day2 = ConvertTide(LoTide1Day2)
End Function

Function HiTide2Day2()
	GetTides
	HiTide2Day2 = TideTable(1, 2)
	If Not Metric Then
		Exit Function
	End If
	If HiTide2Day2 = "--" Then
		Exit Function
	End If
	HiTide2Day2 = ConvertTide(HiTide2Day2)
End Function

Function LoTide2Day2()
	GetTides
	LoTide2Day2 = TideTable(1, 3)
	If Not Metric Then
		Exit Function
	End If
	If LoTide2Day2 = "--" Then
		Exit Function
	End If
	LoTide2Day2 = ConvertTide(LoTide2Day2)
End Function

Function HiTideTime1Day2()
	GetTides
	HiTideTime1Day2 = TideTable(1, 4)
	If HiTideTime1Day2 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	HiTideTime1Day2 = Calc24Time(HiTideTime1Day2)
End Function

Function LoTideTime1Day2()
	GetTides
	LoTideTime1Day2 = TideTable(1, 5)
	If LoTideTime1Day2 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	LoTideTime1Day2 = Calc24Time(LoTideTime1Day2)
End Function

Function HiTideTime2Day2()
	GetTides
	HiTideTime2Day2 = TideTable(1, 6)
	If HiTideTime2Day2 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	HiTideTime2Day2 = Calc24Time(HiTideTime2Day2)
End Function

Function LoTideTime2Day2()
	GetTides
	LoTideTime2Day2 = TideTable(1, 7)
	If LoTideTime2Day2 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	LoTideTime2Day2 = Calc24Time(LoTideTime2Day2)
End Function

Function HiTide1Day3()
	GetTides
	If TideTable(2, 0) = "n/a" Then
		HiTide1Day3 = "--"
		Exit Function
	End If
	HiTide1Day3 = TideTable(2, 0)
	If Not Metric Then
		Exit Function
	End If
	If HiTide1Day3 = "--" Then
		Exit Function
	End If
	HiTide1Day3 = ConvertTide(HiTide1Day3)
End Function

Function LoTide1Day3()
	GetTides
	If TideTable(2, 1) = "n/a" Then
		LoTide1Day3 = "--"
		Exit Function
	End If
	LoTide1Day3 = TideTable(2, 1)
	If Not Metric Then
		Exit Function
	End If
	If LoTide1Day3 = "--" Then
		Exit Function
	End If
	LoTide1Day3 = ConvertTide(LoTide1Day3)
End Function

Function HiTide2Day3()
	GetTides
	If TideTable(2, 2) = "n/a" Then
		HiTide2Day3 = "--"
		Exit Function
	End If
	HiTide2Day3 = TideTable(2, 2)
	If Not Metric Then
		Exit Function
	End If
	If HiTide2Day3 = "--" Then
		Exit Function
	End If
	HiTide2Day3 = ConvertTide(HiTide2Day3)
End Function

Function LoTide2Day3()
	GetTides
	If TideTable(2, 3) = "n/a" Then
		LoTide2Day3 = "--"
		Exit Function
	End If
	LoTide2Day3 = TideTable(2, 3)
	If Not Metric Then
		Exit Function
	End If
	If LoTide2Day3 = "--" Then
		Exit Function
	End If
	LoTide2Day3 = ConvertTide(LoTide2Day3)
End Function

Function HiTideTime1Day3()
	GetTides
	If TideTable(2, 4) = "n/a" Then
		HiTideTime1Day3 = "--"
		Exit Function
	End If
	HiTideTime1Day3 = TideTable(2, 4)
	If HiTideTime1Day3 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	HiTideTime1Day3 = Calc24Time(HiTideTime1Day3)
End Function

Function LoTideTime1Day3()
	GetTides
	If TideTable(2, 5) = "n/a" Then
		LoTideTime1Day3 = "--"
		Exit Function
	End If
	LoTideTime1Day3 = TideTable(2, 5)
	If LoTideTime1Day3 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	LoTideTime1Day3 = Calc24Time(LoTideTime1Day3)
End Function

Function HiTideTime2Day3()
	GetTides
	If TideTable(2, 6) = "n/a" Then
		HiTideTime2Day3 = "--"
		Exit Function
	End If
	HiTideTime2Day3 = TideTable(2, 6)
	If HiTideTime2Day3 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	HiTideTime2Day3 = Calc24Time(HiTideTime2Day3)
End Function

Function LoTideTime2Day3()
	GetTides
	If TideTable(2, 7) = "n/a" Then
		LoTideTime2Day3 = "--"
		Exit Function
	End If
	LoTideTime2Day3 = TideTable(2, 7)
	If LoTideTime2Day3 = "--" Then
		Exit Function
	End If
	If AMPM Then
		Exit Function
	End If
	LoTideTime2Day3 = Calc24Time(LoTideTime2Day3)
End Function

Private Function GetHTMLValue(LeftBound,RightBound, htmlresult)
stop
	tp = path & vTmp & "Weather.tmp"

	Set file_obj = CreateObject ("Scripting.FileSystemObject")
	If (file_obj.FileExists(tp) = False) Then
		writefile
	End If

	Set file_path = file_obj.GetFile(tp) ' Creates the connection to the file
	set file = file_path.OpenAsTextStream (1, -2) ' Opens the file for reading

	htmlresult = file.readall
	htmlresult = Replace(htmlresult, Chr(13), "")
	htmlresult = Replace(htmlresult, Chr(10), "")
	File.Close ' Closes the file
	Set file_path = nothing ' Resets variable
	Set file_obj = nothing ' Resets variable
	HtmlStart = InStr(HtmlResult, LeftBound) + Len(LeftBound)
	HtmlEnd = InStr(HtmlStart, HtmlResult, RightBound)
	If HtmlStart > 0 AND HtmlEnd > 0 Then
		GetHTMLValue = Replace(Mid(HtmlResult, HtmlStart, HtmlEnd - HtmlStart ), "&nbsp;", " ")
	Else
		GetHTMLValue = "N/A"
	End If

End Function

Private Function GetHTMLValue2(LeftBound,RightBound, htmlresult)
stop
	tp = path & vTmp & "Weather2.tmp"

	Set file_obj = CreateObject ("Scripting.FileSystemObject")
	If (file_obj.FileExists(tp) = False) Then
		writefile2
	End If

	Set file_path = file_obj.GetFile(tp) ' Creates the connection to the file
	set file = file_path.OpenAsTextStream (1, -2) ' Opens the file for reading

	htmlresult = file.readall

	File.Close ' Closes the file
	Set file_path = nothing ' Resets variable
	Set file_obj = nothing ' Resets variable
	HtmlStart = InStr(HtmlResult, LeftBound) + Len(LeftBound)
	HtmlEnd = InStr(HtmlStart, HtmlResult, RightBound)
	If HtmlStart > 0 AND HtmlEnd > 0 Then
		GetHTMLValue2 = Replace(Mid(HtmlResult, HtmlStart, HtmlEnd - HtmlStart ), "&nbsp;", " ")
	Else
		GetHTMLValue2 = "N/A"
	End If

End Function

Private Function GetHTMLValue3(LeftBound,RightBound, htmlresult)
stop
	tp = path & vTmp & "Weather3.tmp"

	Set file_obj = CreateObject ("Scripting.FileSystemObject")
	If (file_obj.FileExists(tp) = False) Then
		writefile3
	End If

	Set file_path = file_obj.GetFile(tp) ' Creates the connection to the file
	set file = file_path.OpenAsTextStream (1, -2) ' Opens the file for reading

	htmlresult = file.readall

	File.Close ' Closes the file
	Set file_path = nothing ' Resets variable
	Set file_obj = nothing ' Resets variable
	HtmlStart = InStr(HtmlResult, LeftBound) + Len(LeftBound)
	HtmlEnd = InStr(HtmlStart, HtmlResult, RightBound)
	If HtmlStart > 0 AND HtmlEnd > 0 Then
		GetHTMLValue3 = Replace(Mid(HtmlResult, HtmlStart, HtmlEnd - HtmlStart ), "&nbsp;", " ")
	Else
		GetHTMLValue3 = "N/A"
	End If

End Function

Private Function GetHTMLValue4(LeftBound,RightBound, htmlresult)
stop
	tp = path & vTmp & "Weather4.tmp"

	Set file_obj = CreateObject ("Scripting.FileSystemObject")
	If (file_obj.FileExists(tp) = False) Then
		writefile4
	End If

	Set file_path = file_obj.GetFile(tp) ' Creates the connection to the file
	set file = file_path.OpenAsTextStream (1, -2) ' Opens the file for reading

	htmlresult = file.readall

	File.Close ' Closes the file
	Set file_path = nothing ' Resets variable
	Set file_obj = nothing ' Resets variable
	HtmlStart = InStr(HtmlResult, LeftBound) + Len(LeftBound)
	HtmlEnd = InStr(HtmlStart, HtmlResult, RightBound)
	If HtmlStart > 0 AND HtmlEnd > 0 Then
		GetHTMLValue4 = Replace(Mid(HtmlResult, HtmlStart, HtmlEnd - HtmlStart ), "&nbsp;", " ")
	Else
		GetHTMLValue4 = "N/A"
	End If

End Function

Private Function GetHTMLValue5(LeftBound,RightBound, htmlresult)
stop
	tp = path & vTmp & "Weather5.tmp"

	Set file_obj = CreateObject ("Scripting.FileSystemObject")
	If (file_obj.FileExists(tp) = False) Then
		writefile4
	End If

	Set file_path = file_obj.GetFile(tp) ' Creates the connection to the file
	set file = file_path.OpenAsTextStream (1, -2) ' Opens the file for reading

	htmlresult = file.readall

	File.Close ' Closes the file
	Set file_path = nothing ' Resets variable
	Set file_obj = nothing ' Resets variable
	HtmlStart = InStr(HtmlResult, LeftBound) + Len(LeftBound)
	HtmlEnd = InStr(HtmlStart, HtmlResult, RightBound)
	If HtmlStart > 0 AND HtmlEnd > 0 Then
		GetHTMLValue5 = Replace(Mid(HtmlResult, HtmlStart, HtmlEnd - HtmlStart ), "&nbsp;", " ")
	Else
		GetHTMLValue5 = "N/A"
	End If

End Function

Private Function GetHTMLValue6(LeftBound,RightBound, htmlresult)
stop
	tp = path & vTmp & "Weather6.tmp"

	Set file_obj = CreateObject ("Scripting.FileSystemObject")
	If (file_obj.FileExists(tp) = False) Then
		writefile6
	End If

	Set file_path = file_obj.GetFile(tp)					' Creates the connection to the file
	set file = file_path.OpenAsTextStream (1, -2) 			' Opens the file for reading

	htmlresult = file.readall

	File.Close										' Closes the file
	Set file_path = nothing							' Resets variable
	Set file_obj = nothing							' Resets variable
	HtmlStart = InStr(HtmlResult, LeftBound) + Len(LeftBound)
	HtmlEnd = InStr(HtmlStart, HtmlResult, RightBound)
	If HtmlStart > 0 AND HtmlEnd > 0 Then
		GetHTMLValue6 = Replace(Mid(HtmlResult, HtmlStart, HtmlEnd - HtmlStart ), "&nbsp;", " ")
	Else
		GetHTMLValue6 = "N/A"
	End If

End Function

Private Function GetHTMLValue7(LeftBound,RightBound, htmlresult)
stop
	tp = path & vTmp & "Weather7.tmp"

	Set file_obj = CreateObject ("Scripting.FileSystemObject")
	If (file_obj.FileExists(tp) = False) Then
		writefile7
	End If

	Set file_path = file_obj.GetFile(tp)					' Creates the connection to the file
	set file = file_path.OpenAsTextStream (1, -2) 			' Opens the file for reading

	htmlresult = file.readall

	File.Close										' Closes the file
	Set file_path = nothing							' Resets variable
	Set file_obj = nothing							' Resets variable
	HtmlStart = InStr(HtmlResult, LeftBound) + Len(LeftBound)
	HtmlEnd = InStr(HtmlStart, HtmlResult, RightBound)
	If HtmlStart > 0 AND HtmlEnd > 0 Then
		GetHTMLValue7 = Replace(Mid(HtmlResult, HtmlStart, HtmlEnd - HtmlStart ), "&nbsp;", " ")
	Else
		GetHTMLValue7 = "N/A"
	End If

End Function

Private Function ConvertTemp(Temp)
'
' Convert  Farenheit to Celcius 
'
Dim vTemp

	vTemp = Temp
	If (vTemp = "N/A") or (vTemp = "n/a") Then
		ConvertTemp = vTemp
		Exit Function
	End If
 
	If Metric Then
		vTemp = Round((vTemp - 32) * 5 / 9)
	End If

	ConvertTemp = vTemp

End Function 

Private Function ConvertPressure(Pres)
'
'Convert Inches of mercury to kPA
'
	Dim vPres
   
	vPres = Pres 
	If (vPres = "N/A") or (vPres = "n/a") Then
		ConvertPressure = vPres
		Exit Function
	End If
 
	If Metric Then
		vPres = Round((vPres * 3.3868852459016393442622950819672), vPrecision)
	End If

	ConvertPressure = vPres

End Function

Private Function ConvertMPH(vWind)
'
'Convert mph to kph
'
	Dim vwnd
   
	vwnd = vWind 
	If (vwnd = "N/A") or (vwnd = "n/a") Then
		ConvertMPH = vwnd
		Exit Function
	End If
 
	If Metric Then
		vwnd = Round((vwnd * 1.61), vPrecision)
	End If

	ConvertMPH = vwnd

End Function
'
'Convert Tide Height from feet to meters
'

Private Function ConvertTide(Tide)
	vnegative = ""
	If Left(Tide,1) = "-" Then
		vnegative = "-"
		Tide = Replace(Tide, "-", "")
	End If
	RightofString = " m"
	LeftofString = Left(Tide, Len(Tide) - 3)
	LeftofString = Round(LeftOfString * .3048, vPrecision)
	ConvertTide = vnegative & LeftofString & RightofString
End Function
'
'Convert feet to meters
'

Private Function ConvertFeet(Feet)
	CheckNum = IsNumeric(Feet)
	If Not CheckNum Then
		Exit Function
	End If
	ConvertFeet = Round(Feet * .3048, vPrecision)
End Function
'
'Convert 12 hour based time to 24 hour time
'
Private Function Calc24Time(WorkTime)
	starthourtext = Left(WorkTime,(InStr(WorkTime,":") - 1))
	startHour = Int(starthourtext)
	startMins = Mid(WorkTime, (InStr(WorkTime, ":") +1), 2)
	startAMPM = Right(WorkTime,2)
	If AMPM Then
		Calc24Time = WorkTime
		Exit Function
	End If
	If startAMPM = "AM" Then
		If startHour = 12 Then
			startHour = 0
		End If
	Else
		If  startHour = 12 Then
			startHour = startHour
		Else
			startHour = startHour + 12
		End If
	End If
	Calc24Time = CStr(startHour) & ":" & startMins
	If startHour < 10 Then
		Calc24Time = "0" & Calc24Time
	End If
End Function

Private Function Calc24Hour(hTime)
	starthourtext = Left(hTime,2)
	trimhourtime = Trim(starthourtext)
	startHour = Int(trimhourtime)
	startAMPM = Right(hTime,2)

	If AmPm Then
		Calc24Hour = hTime
		Exit Function
	End If
	If startAMPM = "PM" Then
		If startHour = 12 Then
			Calc24Hour = CStr(startHour) & ":00"
			Exit Function
		Else
			startHour = startHour + 12
			Calc24Hour = CStr(startHour) & ":00"
			If startHour > 9 Then
				Exit Function
			Else
				Calc24Hour = "0" & Calc24Hour
				Exit Function
			End If
		End If
	End If
	If startHour = 12 Then
		Calc24Hour = "00:00" 
		Exit Function
	End If
	Calc24Hour = CStr(startHour) & ":00"
	If startHour < 10 Then
		Calc24Hour = "0" & Calc24Hour
	End If
End Function

